# IceGrid::AdaptiveLoadBalancingPolicy

## Overview

### class AdaptiveLoadBalancingPolicy extends LoadBalancingPolicy

Adaptive load balancing policy.

## Data Members

### string loadSample;

The load sample to use for the load balancing. The allowed values for this attribute are "1", "5" and "15", representing respectively the load average over the past minute, the past 5 minutes and the past 15 minutes.